Summary:        Fish Fillets NG, a puzzle game with 70 levels
Name:           fillets-ng
Version:        1.0.1
Release:        %mkrel 14
License:        GPLv2+
Group:          Games/Puzzles
URL:            http://fillets.sourceforge.net/
Source0:        http://downloads.sourceforge.net/fillets/%{name}-%{version}.tar.gz
Source1:        %{name}-32.png
Patch0:         fillets-ng-1.0.1-upstream-lua-5.2.patch
Patch1:         fillets-ng-1.0.1-mga-system-sdl_gfx.patch

BuildRequires:  lua5.2-devel
BuildRequires:  pkgconfig(fribidi)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_gfx)
BuildRequires:  pkgconfig(SDL_image)
BuildRequires:  pkgconfig(SDL_mixer)
BuildRequires:  pkgconfig(SDL_ttf)
BuildRequires:  smpeg-devel
Requires:       %{name}-data >= %{version}

%description
Fish Fillets NG is strictly a puzzle game. The goal in every of the seventy
levels is always the same: find a safe way out. The fish utter witty remarks
about their surroundings, the various inhabitants of their underwater realm
quarrel among themselves or comment on the efforts of your fish. The whole
game is accompanied by quiet, comforting music.

%prep
%setup -q
%autopatch -p1
rm -rf src/SDL_gfx

%build
autoreconf -vfi
%configure --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}/%{name}
%make_build

%install
%make_install

# Menu entry
install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Fish Fillets NG
GenericName=Puzzle game
Comment=Puzzle game with 70 levels
Comment[fr]=Jeu de réflexion avec 70 niveaux
Comment[es]=Juego de mente con 70 niveles
Exec=fillets
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;LogicGame;
EOF

install -D -m644 %{_sourcedir}/%{name}-32.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png

%files
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_gamesbindir}/fillets
%{_mandir}/man6/fillets.6*
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1.0.1-14.mga8
+ Revision: 1521723
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Dec 30 2018 luigiwalser <luigiwalser> 1.0.1-13.mga7
+ Revision: 1346634
- rebuild for SDL_gfx

* Mon Sep 24 2018 umeabot <umeabot> 1.0.1-12.mga7
+ Revision: 1303312
- Mageia 7 Mass Rebuild

* Sat Jul 02 2016 barjac <barjac> 1.0.1-11.mga6
+ Revision: 1038334
- replace broken icon Mga#18837
-  (Icon for fillets-ng apparently corrupted)

* Tue Feb 09 2016 umeabot <umeabot> 1.0.1-10.mga6
+ Revision: 951418
- Mageia 6 Mass Rebuild

* Sat Dec 27 2014 akien <akien> 1.0.1-9.mga5
+ Revision: 806697
- Install icon in hicolor theme
- Build against system SDL_gfx
- Add smpeg BR that enables video playback
- Use upstream patch instead of broken Fedora patch for lua 5.2 compatibility
- Improve summary and desktop file

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-8.mga5
+ Revision: 738941
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-7.mga5
+ Revision: 679190
- Mageia 5 Mass Rebuild

* Sun Jun 29 2014 tv <tv> 1.0.1-6.mga5
+ Revision: 641211
- patch 0: fix build with lua-5.2 (from FC)
- rebuild with lua-5.2

* Fri Oct 18 2013 umeabot <umeabot> 1.0.1-5.mga4
+ Revision: 504405
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.0.1-4.mga3
+ Revision: 350336
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 pterjan <pterjan> 1.0.1-3.mga3
+ Revision: 334414
- Force Lua 5.1

* Wed Sep 28 2011 supp <supp> 1.0.1-2.mga2
+ Revision: 150006
- bump release because of mga1 update

* Sat Sep 24 2011 zezinho <zezinho> 1.0.1-1.mga2
+ Revision: 147373
- new 1.0.1 version
+ supp <supp>
- remove soundwrapper dependency as it is obsolete (see mga#1070)

* Sat Apr 30 2011 alien <alien> 1.0.0-4.mga1
+ Revision: 93874
- Fix #1070: Don't use soundwrapper

* Mon Apr 25 2011 wally <wally> 1.0.0-3.mga1
+ Revision: 90329
- fix desktop file (mga#954)

* Sat Mar 05 2011 supp <supp> 1.0.0-2.mga1
+ Revision: 64861
- SPEC cleanup

* Sat Jan 15 2011 supp <supp> 1.0.0-1.mga1
+ Revision: 18812
- imported package fillets-ng


* Wed Jan 05 2011 Tomas Kindl <supp@mandriva.org> 1.0.0-1mdv2011.0
+ Revision: 628807
- update to 1.0.0

* Sat Dec 04 2010 Tomas Kindl <supp@mandriva.org> 0.9.3-2mdv2011.0
+ Revision: 609456
- rebuild

* Sat Feb 27 2010 Tomas Kindl <supp@mandriva.org> 0.9.3-1mdv2010.1
+ Revision: 512223
- bump to version 0.9.3
- drop unneeded fribidi patch

* Sun Oct 18 2009 Samuel Verschelde <stormi@mandriva.org> 0.9.2-2mdv2010.1
+ Revision: 458117
- fix data version
- update to new version 0.9.2

* Sat Jul 18 2009 Frederik Himpe <fhimpe@mandriva.org> 0.9.1-1mdv2010.0
+ Revision: 397215
- Update to new version 0.9.1

* Wed May 13 2009 Samuel Verschelde <stormi@mandriva.org> 0.8.1-2mdv2010.0
+ Revision: 375232
- fix Group and menu category (fixes #36371)
- fix licence

* Sun Mar 15 2009 Funda Wang <fwang@mandriva.org> 0.8.1-1mdv2009.1
+ Revision: 355308
- new data version
- New version 0.8.1

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Mar 05 2008 Guillaume Bedot <littletux@mandriva.org> 0.8.0-1mdv2008.1
+ Revision: 179681
- 0.8.0

* Fri Jan 04 2008 Thierry Vignaud <tv@mandriva.org> 0.7.3-2mdv2008.1
+ Revision: 145271
- drop old menu
- kill re-definition of %%buildroot on Pixel's request
- kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sat Dec 02 2006 Olivier Blin <oblin@mandriva.com> 0.7.3-2mdv2007.0
+ Revision: 89938
- buildrequire lua-devel 5.0
- add xdg menu
- Import fillets-ng

* Fri Dec 23 2005 Anssi Hannula <anssi@mandriva.org> 0.7.3-1mdk
- 0.7.3
- fix BuildRequires
- split fillets-ng-data to another src.rpm
- bzip2 source
- use original binary name

* Thu Dec 22 2005 Götz Waschk <waschk@mandriva.org> 0.6.0-5mdk
- fix buildrequires for x86_64

* Wed Oct 12 2005 Götz Waschk <waschk@mandriva.org> 0.6.0-4mdk
- build fix for new tar
- rebuild for new liblua5

* Sat Oct 08 2005 Götz Waschk <waschk@mandriva.org> 0.6.0-3mdk
- build fix for new tar
- rebuild for new liblua5

* Mon Nov 01 2004 Michael Scherer <misc@mandrake.org> 0.6.0-2mdk
- Buildrequires

* Thu Oct 21 2004 Robert Vojta <robert.vojta@mandrake.cz> 0.6.0-1mdk
- Fish Fillets NG 0.6.0 release

